package com.kmall.admin.service.mk.store;

import com.kmall.admin.entity.mk.store.MkStorePromEntity;

import java.util.List;
import java.util.Map;

/**
 * 门店推广Service接口
 *
 * @author huangyq
 * @email admin@qhdswl.com
 * @date 2019-04-26 15:52:20
 */
public interface MkStorePromService {

    /**
     * 根据主键查询实体
     *
     * @param promId 主键
     * @return 实体
     */
    MkStorePromEntity queryObject(Integer promId);

    /**
     * 分页查询
     *
     * @param map 参数
     * @return list
     */
    List<MkStorePromEntity> queryList(Map<String, Object> map);

    /**
     * 分页统计总数
     *
     * @param map 参数
     * @return 总数
     */
    int queryTotal(Map<String, Object> map);

    /**
     * 保存实体
     *
     * @param mkStoreProm 实体
     * @return 保存条数
     */
    int save(MkStorePromEntity mkStoreProm);

    /**
     * 根据主键更新实体
     *
     * @param mkStoreProm 实体
     * @return 更新条数
     */
    int update(MkStorePromEntity mkStoreProm);

    /**
     * 根据主键删除
     *
     * @param promId
     * @return 删除条数
     */
    int delete(Integer promId);

    /**
     * 根据主键批量删除
     *
     * @param promIds
     * @return 删除条数
     */
    int deleteBatch(Integer[] promIds);

    int updateStartedOrFinished(MkStorePromEntity mkStoreProm);
}
